1

For this Wordpress site http://mattmansell.ca/New2016RHB/ Error I got is "Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'vantage_chid_widgets_init' not found or invalid function name in /home/mattmans/public_html/R2/wp-includes/plugin.php on line 525" I got this after moving from MAMP to Server. Any ideas on how to tackle this?

  • Did you find a resolution for your problem @MattM? I'm busy with deployment of my Wordpress installation on Ubuntu 14.04 and having exactly the same issue with plugin.php line 525. When testing locally, everything works 100% – josef.van.niekerk Feb 10 '16 at 15:53
  • Which OS and version do you use, and which version of PHP? Are you using Apache or NGINX with php-fpm? – josef.van.niekerk Feb 10 '16 at 15:58
  • I've managed to sort my issue out at least, so maybe this helps. My php.ini had short_open_tags turned on, and I was actually using short open tags in my theme. So when I went to Ubuntu 14.04, php.ini there had short_open_tags turned off by default. Note to self: "NEVER use short_open_tags" – josef.van.niekerk Feb 10 '16 at 20:58
0

If you are using short open tags, check that you have this turned on in your php.ini on your server.

However, this is considered bad practice, and recommended to only those who like to target practice with shooting themselves in the foot.

I was getting the same error as you, but when I checked my functions.php, the functions where there, in broad daylight, and even spelled correctly, and it through me off on a tangent.

There was a short <? open tag in my functions.php, and this never failed because I had

short_open_tag = On

on my Mac's php.ini. When coming to deploy on Ubuntu server, things went horribly wrong, as this setting was off.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.